Bug 194993 - [patch][doc] Jail build command fix (FreeBSD 9.x and newer)
Summary: [patch][doc] Jail build command fix (FreeBSD 9.x and newer)
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Allan Jude
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-13 13:32 UTC by alex
Modified: 2015-08-29 15:20 UTC (History)
2 users (show)

See Also:


Attachments
fix jail creation userinput for >= 9.x (881 bytes, text/plain)
2014-11-13 13:32 UTC, alex
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2014-11-13 13:32:39 UTC
Created attachment 149377 [details]
fix jail creation userinput for >= 9.x

There are typos at the "To install everything but the kernel" command. The first issue is that a subshell is open but never closed, and the second issue is that the `do … done;' block is not closed.

The patch attached remove the use of a subshell (since `-C $DESTDIR` doesn't cd) and close the loop block.
Comment 1 Allan Jude freebsd_committer 2015-03-22 20:58:56 UTC
This may need more attention since the demise of the 'GAMES' and 'DOCS' sets
Comment 2 commit-hook freebsd_committer 2015-05-29 20:03:26 UTC
A commit references this bug:

Author: allanjude
Date: Fri May 29 20:02:35 UTC 2015
New revision: 46732
URL: https://svnweb.freebsd.org/changeset/doc/46732

Log:
  Update instructions for manually creating a jail

  Remove unneeded subshell
  Remove csh examples, and explicitly use sh everywhere
  Remove the GAMES set which on longer exists
  Remove the DOCS set that may be removed in the future, it is not needed inside a jail

  PR:		194993
  Differential Revision:	https://reviews.freebsd.org/D2116
  Submitted by:	alex@kaworu.ch (original)
  Reviewed by:	wblock
  Approved by:	bcr (mentor)
  Sponsored by:	ScaleEngine Inc.

Changes:
  head/en_US.ISO8859-1/books/handbook/jails/chapter.xml